POST /v1/execution-webhooks
Create an org-level execution webhook endpoint
POST
/v1/execution-webhooks
Create an org-level execution webhook endpoint
Request Body required
Execution webhook details
application/jsonOne of:
Option 1
Option 2
description
string
maxRetries
integer
name
string
REQUIRED
subscribedEventTypes
string[]
Array of:
url
string
REQUIRED
Responses
200
OK
application/jsoncode
integer
data
object
endpoint
object
createdAt
string
createdBy
string
description
string
disabledAt
string
id
string
maxRetries
integer
name
string
organizationId
string
status
string
Enum:
active, disabledsubscribedEventTypes
string[]
Array of:
updatedAt
string
url
string
signingSecret
string
message
string
requestId
string
400
Bad Request
curl -X POST 'https://api.example.com/v1/execution-webhooks' \ -H 'Authorization: Bearer YOUR_API_TOKEN' \ -H 'Content-Type: application/json' \ -d '{}'
const response = await fetch('https://api.example.com/v1/execution-webhooks', { method: 'POST', headers: { "Authorization": "Bearer YOUR_API_TOKEN", "Content-Type": "application/json" }, body: JSON.stringify({})});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.post('https://api.example.com/v1/execution-webhooks', headers=headers, json={})print(response.json())
package mainimport ( "fmt" "io" "net/http" "strings")func main() { body := strings.NewReader(`{}`) req, _ := http.NewRequest("POST", "https://api.example.com/v1/execution-webhooks", body) req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN") req.Header.Set("Content-Type", "application/json") resp, _ := http.DefaultClient.Do(req) defer resp.Body.Close() result, _ := io.ReadAll(resp.Body) fmt.Println(string(result))}
200
Response
{ "code": 200, "data": { "endpoint": { "createdAt": "<string>", "createdBy": "<string>", "description": "<string>", "disabledAt": "<string>", "id": "<string>", "maxRetries": 123, "name": "<string>", "organizationId": "<string>", "status": "active", "subscribedEventTypes": [ "<string>" ], "updatedAt": "<string>", "url": "<string>" }, "signingSecret": "<string>" }, "message": "success", "requestId": "req_123"}
API Playground
Try this endpoint
POST
/v1/execution-webhooks
